<?php

/*

Title: Cadeaux
Description: Liste de cadeaux en fonction de l'évènement

*/


echo $before_widget; 

echo $before_title;
echo '<h2>' . __( 'Liste de cadeaux pour ' , 'texdomain' ) . $settings['wptech_cadeau_evenement'] . '</h2>';
echo $after_title;


echo $after_widget;





// -------------------- Afficher la liste de cadeaux en fonction de l'évènement


// Récupérer les valeurs de la page de réglage

$wptech_reglages_cadeau = get_option( 'wptech_reglages_cadeau' );
 



// Selon l'évènement choisi dans le widget, récupérer l'interval de prix correspondant

$wptech_reglages_interval_prix = array();

if ( !empty( $wptech_reglages_cadeau ) ) {

	switch ( $settings['wptech_cadeau_evenement'] ) {

	    case 'ma fête':
	        $wptech_reglages_interval_prix = $wptech_reglages_cadeau[ 'wptech_reglages_interval_prix_fete' ];
	        break;

	    case 'mon anniversaire':
	        $wptech_reglages_interval_prix = $wptech_reglages_cadeau[ 'wptech_reglages_interval_prix_anniversaire' ];
	        break;

	    case 'noël':
	        $wptech_reglages_interval_prix = $wptech_reglages_cadeau[ 'wptech_reglages_interval_prix_noel' ];
	        break;
	} 

} 


// Récupérer les valeurs du CPT "cadeau" via wp-query


// Arguments
$wptech_args = array(
					'post_type' => 'cadeau',
				);

// Requête
$wptech_query = new WP_Query( $wptech_args );


// Boucle (un seul choix d'interval)
if ( is_string( $wptech_reglages_interval_prix ) && !empty( $wptech_reglages_interval_prix ) ) {
	echo '<h3>Cadeaux de ' . $wptech_reglages_interval_prix . '€ :</h3>';
	while ( $wptech_query->have_posts() ) {
		$wptech_query->the_post();
			$wptech_cadeau_prix = get_post_meta( $post->ID , 'wptech_cadeau_prix' , true );
			$wptech_cadeau_prix_precis = get_post_meta( $post->ID , 'wptech_cadeau_prix_precis' , true );
			if ( $wptech_reglages_interval_prix === $wptech_cadeau_prix ) {
				echo '<span>' . get_the_title() . '</span>';
				if ( !empty( $wptech_cadeau_prix_precis ) ) {
					echo ' - <span>' . $wptech_cadeau_prix_precis . '</span>';
				}
			}
	}
	echo '<br>';
}


// Boucle (plusieurs choix d'interval)
if ( is_array( $wptech_reglages_interval_prix ) && !empty( $wptech_reglages_interval_prix ) ) {
	foreach ( $wptech_reglages_interval_prix as $key => $value ) {
		echo '<h3>Cadeaux de ' . $value . '€ :</h3>';
		while ( $wptech_query->have_posts() ) {
			$wptech_query->the_post();
			$wptech_cadeau_prix = get_post_meta( $post->ID , 'wptech_cadeau_prix' , true );
			$wptech_cadeau_prix_precis = get_post_meta( $post->ID , 'wptech_cadeau_prix_precis' , true );
			if ( $value === $wptech_cadeau_prix ) {
				$wptech_cadeau_offert = get_post_meta( $post->ID , 'wptech_cadeau_offert' , true );
				echo '<span>' . get_the_title() . '</span>';
				if ( !empty( $wptech_cadeau_offert ) && (bool)$wptech_cadeau_offert ) {
					echo ' - <span style="color:orange">Déjà offert !</span></br>';
				} else {
					if ( !empty( $wptech_cadeau_prix_precis ) ) {
					echo ' - <span style="color:orange">' . $wptech_cadeau_prix_precis . ' €</span>';
				}
				}
				echo '</br>';
			}
		}
		echo '<br>';
	}
}


// Restauration
wp_reset_postdata();





