<?php
/*

Plugin Name: Gift
Description: Manage my gifts list.
Plugin Type: Piklist

*/







// ---------------------- Enregistrement du Custom Post Type "cadeau"

add_filter( 'piklist_post_types' , 'wptech_cadeau_post_type' );
function wptech_cadeau_post_type( $post_types ) {
    $post_types[ 'cadeau' ] = array(
                                'labels'         =>    array(
                                                    'name'               => _x( 'Cadeaux' , 'textdomain'  ),
                                                    'singular_name'      => _x( 'Cadeau' , 'textdomain'  ),
                                                    'add_new'            => _x( 'Nouveau cadeau' , 'textdomain' ),
                                                    'add_new_item'       => __( 'Ajouter un nouveau cadeau' , 'textdomain'  ),
                                                    'edit_item'          => __( 'Modifier le cadeau' , 'textdomain'  ),
                                                    'new_item'           => __( 'Nouveau cadeau' , 'textdomain'  ),
                                                    'all_items'          => __( 'Tous les cadeaux' , 'textdomain'  ),
                                                    'view_item'          => __( 'Voir le cadeau' , 'textdomain'  ),
                                                    'search_items'       => __( 'Chercher dans les cadeaux' , 'textdomain'  ),
                                                    'not_found'          => __( 'Aucun cadeau trouvé' , 'textdomain'  ),
                                                    'not_found_in_trash' => __( 'Aucun cadeau trouvé dans la corbeille' , 'textdomain'  ),
                                                    'parent_item_colon'  => '',
                                                    'menu_name'          => 'Cadeaux'
                                                ),
                                'title'         => __( 'Nom du cadeau' , 'texdomain' ), // Piklist 
                                'public'        => true,
                                'menu_position' => 5,
                                'rewrite'       => array(
                                                    	'slug' => 'cadeau',
                                                    ),
                                'supports'      => array(
                                                    	'title',
                                                     	'editor',
                                                    ),
                                'hide_meta_box' => array(               // Piklist
                                                        'slug',
                                                        'author',
                                                        'revisions',
                                                        'comments',
                                                        'commentstatus',
                                                        ),
                                );
return $post_types;
// Pas besoin de "register_post_type( 'nom_cpt , $args' )"
}











// ---------------------- Création de page d'options "Réglages"

add_filter( 'piklist_admin_pages' , 'wptech_cadeau_setting_pages' );
function wptech_cadeau_setting_pages( $pages ) {
	$pages[] = array(
				  'page_title'  => __( 'Réglages' , 'textdomain' ),
				  'menu_title'  => __( 'Réglages' , 'textdomain' ),
				  'sub_menu'    => 'edit.php?post_type=cadeau', // Dans le CPT cadeau
				  'capability'  => 'manage_options',
				  'menu_slug'   => 'reglages_cadeau',
				  'setting'     => 'wptech_reglages_cadeau', // id de la page d'option
				  // 'menu_icon'   => plugins_url('piklist/parts/img/piklist-icon.png'),
				  // 'page_icon'   => plugins_url('piklist/parts/img/piklist-page-icon-32.png'),
				  'single_line' => true,
				  'default_tab' => 'Fête', // Organisation en onglets, le 1er onglet affichera la section portant le titre "FêtSe"
				  'save_text'   => __( 'Enregistrer les réglages' , 'textdomain' ),
	);
return $pages;
}











// ---------------------- Règle de validation pour le prix


add_filter( 'piklist_validation_rules' , 'wptech_validate_prix' , 11 );
function wptech_validate_prix() {
	$validation_rules = array(
					    	'prix' 	=> 	array(
					      					'rule' 		=> "/^([1-9][0-9]|1[0-4][0-9]|150)$/", // chiffre entre 10 et 150 inclus
					      					'message' 	=> __( 'Le prix du cadeau doit être entre 10 et 150 euros' , 'textdomain' )
					    				)			
  						);
 
return $validation_rules;
}